/* Couleurs */
:root {
  --color-primary: #FF4949;
  --color-secondary: #333333;
  --color-tertiary: #FFFFFF;
  }
  
  body {
  font-family: Arial, sans-serif;
  font-size: 16px;
  line-height: 1.4;
  color: black;
  margin: 0;
  }
  
  
  
  /* En-tête */
  .header {
  font-size: 18px;
  padding: 50px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  background: linear-gradient(to right, red, rgb(245, 126, 126));
  margin-bottom:-20px;
  }
  
  .header__logo img {
  width: 100px;
  height: 80px;
  }    
  
  .service img {
    width: 100px;
    height: 80px;
  } 
  
  .tutor img {
    width: 100px;
    height: 80px;
  }    
  
    
  
  
  /* Bannière */
  .banner {
  background-color: var(--color-primary);
  padding: 40px;
  text-align: center;
  }
  
  .banner__title {
  font-size: 3em;
  font-weight: bold;
  color: var(--color-tertiary);
  margin-bottom: 20px;
  }
  
  .banner__cta {
  display: inline-block;
  background-color: var(--color-tertiary);
  color: var(--color-primary);
  font-size: 1.2em;
  font-weight: bold;
  padding: 10px 20px;
  border-radius: 5px;
  text-decoration: none;
  margin-top: 20px;
  }
  .button-container {
    display: flex;
    align-items: center;
    margin-right: 20px;
  }
  
  .button {
    display: inline-block;
    padding: 10px 20px;
    background-color: #333;
    color: white;
    text-decoration: none;
    border-radius: 5px;
    transition: background-color 0.2s ease-in-out;
  }
  
  .button:hover {
    background: linear-gradient(to right, red, rgb(245, 126, 126));
  }
  
  .spacer {
    width: 10px;
  }
  
  .not-registered {
    color: black;
    margin-right: 10px;
  }
  
  
  .banner__cta:hover {
  background-color: var(--color-secondary);
  color: var(--color-tertiary);
  }
  
  /* Section des services */
  .services {
  padding: 40px;
  opacity: 0.9;
  margin: 150px;
  }
  
  .services__title {
  font-size: 2em;
  font-weight: bold;
  margin-bottom: 20px;
  text-align: center;
  color: var(--color-secondary);
  }
  
  .services__list {
  display: flex;
  justify-content: space-between;
  align-items: center;
  
  }
  
  .service {
  width: 30%;
  background-color: var(--color-tertiary);
  padding: 20px;
  border-radius: 5px;
  text-align: center;
  box-shadow: 0px 5px 10px rgba(245, 9, 9, 0.1);
  opacity: 0.8;
  }
  
  .h2{
    color :#FF4949
  }
  
  /* Section des tuteurs */
  .tutors {
  padding: 40px;
  margin: 150px;
  opacity: 0.9;
  padding-top: 10px;
  }
  
  
  .tutors__list {
  display: flex;
  justify-content: space-between;
  align-items: center;
  flex-wrap: wrap;
  opacity: 0.9;
  }
  
  .tutor {
  width: 30%;
  background-color: var(--color-tertiary);
  padding: 20px;
  border-radius: 5px;
  text-align: center;
  box-shadow: 0px 5px 10px rgba(50, 40, 184, 0.1);
  opacity: 0.9;
  }
  
  
  
  
  
  /* Pied de page */
  .footer {
  background: linear-gradient(to right, rgb(0, 0, 0), rgb(85, 85, 85));
  padding: 20px;
  text-align: center;
  color: #fff;
  }
  
  /* .footer {
    background: linear-gradient(to right, rgb(0, 0, 0), rgb(85, 85, 85));
    color: #fff;
    opacity: 8;
  }*/
  .footer__text {
  font-size: 0.8em;
  }
  
  .footer__link {
  color: var(--color-tertiary);
  text-decoration: none;
  font-weight: bold;
  }
  
  .footer__link:hover {
  text-decoration: underline;
  }
  
  
  .image{
  background: url('../image/tttetudiants.jpg') no-repeat center center/cover;
  }
  
  .hero__text{
  background: linear-gradient(to right, rgb(0, 0, 0), rgb(85, 85, 85));
  color:#fff;
  padding: 1.5%;
  
  }
  
  .testimonial{
  background: linear-gradient(to right, rgb(255, 254, 254), rgb(68, 68, 68));
  opacity: 0.7;
  }
  

  .footer__social img {
    width: 45px;
    height: 40px;
  }
  
  
  
  
  nav {
    display: inline-block;
    background-color: #333;
    color: #fff;
    padding: 15px;
    text-align: center;
    margin-left: 180px;
    border-radius: 5px;
  }
  
  ul {
    list-style: none;
    margin: 0;
    padding: 0;
    display: flex;
    justify-content: space-between;
    flex-direction: row;
  }
  
  li {
    margin: 0 10px;
    position: relative;
  }
  
  ul ul {
    display: none;
    position: absolute;
    top: 100%;
    left: 0;
    background-color: #333;
    padding: 0;
  }
  
  ul ul li {
    margin: -5px;
    width: 100%;
  }
  
  li:hover > ul {
    display: block;
  }
  
  .navbar-nav {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    padding-left: 0;
  }
  
  .nav-link {
    padding: 0.5rem 1rem;
    display: block;
    color: #fff;
    text-decoration: none;
    font-size: 1.2rem;
    text-align: center;
  }
  .nav-link:hover {
    text-decoration: underline;
    color: red;
  }
  
  .submenu a:hover {
    text-decoration: underline;
    color: red;
  }
  
  
  .submenu li {
    margin-bottom: 0.125rem;
  }
  
  .submenu a {
    display: block;
    padding: 0.5rem 1rem;
    clear: both;
    font-weight: 400;
    line-height: 1.2;
    color: #fff;
    text-decoration: none;
    white-space: nowrap;
  }
  
  .nav-item:hover .submenu {
    display: block;
  }
  
  @media (max-width: 992px) {
    .navbar-nav {
      flex-direction: row;
    }
  
    .nav-item {
      width: auto;
    }
  
    .submenu {
      position: static;
      overflow: hidden;
      max-height: 0;
      transition: all 0.7s ease-out;
    }
  
    .nav-item:hover .submenu {
      max-height: 1000px;
      overflow: visible;
    }
  
    .navbar .navbar-nav .nav-item .nav-link {
      display: block;
    }
  }
  